> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pool Members

> List all profiles in a pool



## OpenAPI

````yaml https://odyssey.asteroid.ai/agents/v2/openapi.yaml get /agent-profile-pools/{poolId}/members
openapi: 3.1.0
info:
  title: Agent Service
  version: v1
servers:
  - description: V2 API
    url: https://odyssey.asteroid.ai/agents/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
  - name: Execution
  - name: Files
  - name: Agent Profiles
  - name: Agent Profile Pools
  - name: Workflows
  - name: Schema
  - name: Documentation
  - name: Context
paths:
  /agent-profile-pools/{poolId}/members:
    get:
      tags:
        - Agent Profile Pools
      summary: List Pool Members
      description: List all profiles in a pool
      operationId: AgentProfilePoolMembersList
      parameters:
        - description: The ID of the agent profile pool
          in: path
          name: poolId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
        - $ref: '#/components/parameters/Common.Pagination.pageSize'
        - $ref: '#/components/parameters/Common.Pagination.page'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  items:
                    items:
                      $ref: >-
                        #/components/schemas/Agents.Profile.AgentProfilePoolMember
                    type: array
                  page:
                    format: int64
                    type: integer
                  pageSize:
                    format: int64
                    type: integer
                  total:
                    format: int64
                    type: integer
                required:
                  - items
                  - page
                  - pageSize
                  - total
                type: object
          description: The request has succeeded.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.BadRequestErrorBody'
          description: The server could not understand the request due to invalid syntax.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.UnauthorizedErrorBody'
          description: Access is unauthorized.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.ForbiddenErrorBody'
          description: Access is forbidden.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.NotFoundErrorBody'
          description: The server cannot find the requested resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.InternalServerErrorBody'
          description: Server error
components:
  schemas:
    Common.uuid:
      format: uuid
      type: string
    Agents.Profile.AgentProfilePoolMember:
      description: An agent profile that is a member of a pool
      properties:
        createdAt:
          description: When the profile was created
          format: date-time
          type: string
        id:
          allOf:
            - $ref: '#/components/schemas/Common.uuid'
          description: Unique identifier for the agent profile
        name:
          description: Name of the agent profile
          type: string
        organizationId:
          allOf:
            - $ref: '#/components/schemas/Common.uuid'
          description: The ID of the organization that owns this profile
        updatedAt:
          description: When the profile was last updated
          format: date-time
          type: string
      required:
        - id
        - name
        - organizationId
        - createdAt
        - updatedAt
      type: object
    Common.BadRequestErrorBody:
      properties:
        code:
          enum:
            - 400
          type: number
          x-enum-varnames:
            - BadRequest
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.UnauthorizedErrorBody:
      properties:
        code:
          enum:
            - 401
          type: number
          x-enum-varnames:
            - Unauthorized
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.ForbiddenErrorBody:
      properties:
        code:
          enum:
            - 403
          type: number
          x-enum-varnames:
            - Forbidden
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.NotFoundErrorBody:
      properties:
        code:
          enum:
            - 404
          type: number
          x-enum-varnames:
            - NotFound
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.InternalServerErrorBody:
      properties:
        code:
          enum:
            - 500
          type: number
          x-enum-varnames:
            - InternalServerError
        message:
          type: string
      required:
        - code
        - message
      type: object
  parameters:
    Common.Pagination.pageSize:
      explode: false
      in: query
      name: pageSize
      schema:
        default: 50
        format: int32
        type: integer
    Common.Pagination.page:
      explode: false
      in: query
      name: page
      schema:
        default: 1
        format: int32
        type: integer
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-Asteroid-Agents-Api-Key
      type: apiKey

````